
var AjaxOpenSearch = Class.create();

AjaxOpenSearch.prototype = {
	
	initialize: function() {
		$('query').focus();
		Event.observe($('search'), 'submit', this.submit.bindAsEventListener(this), false);
	},
	
	submit: function(event) {
		Event.stop(event);
		$('find').disabled = true;
		Element.show($('wait'));
		new Effect.BlindUp($('search-result'), {
			duration: 0.5, 
			afterFinish: function() {
				Element.hide($('search-result'));
			}
		});
		this.doAjax();
	},
	
	doAjax: function() {
		var url = 'search.php';
		var param = (new Date()).getTime() + '&q=' + encodeURI($F('query'));
		new Ajax.Request(url, {
			method: 'get', 
			parameters: param, 
			onComplete: this.doResponse
		});
	},
	
	doResponse: function(response) {
		$('find').disabled = false;
		Element.hide($('wait'));
		$('search-result').innerHTML = response.responseText;
		new Effect.BlindDown($('search-result'), { duration: 1 });
	}
};

function submit(word) {
	$('query').value = word;
	$('find').click();
};

Event.observe(window, 'load', function() {
	new AjaxOpenSearch();
}, false);
